Bug 609749 - qt translations packaged improperly
qt translations packaged improperly
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-30 21:06 EDT by Kevin Kofler
Modified: 2010-07-13 03:43 EDT (History)
7 users (show)

See Also:
Fixed In Version: qt-4.6.3-8.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 03:40:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2010-06-30 21:06:52 EDT
Description of problem:
The translations in qt are packaged using %{_qt4_translationdir}/ without any sort of %lang tagging.

Version-Release number of selected component (if applicable):
qt-4.6.2-20.fc12.i686

How reproducible:
Always

Steps to Reproduce:
1. Look at the specfile.
  
Actual results:
%{_qt4_translationdir}/ is listed as is.

Expected results:
Only %dir %{_qt4_translationdir}/ should be listed. Translations should be collected with %find_lang filename --with-qt.

Additional info:
See also bug 609748 which we ought to fix first.
Comment 1 Rex Dieter 2010-06-30 22:16:01 EDT
I *think* %find_lang fails with an error if it doesn't find anything that matches
/usr/share/locale/<lang>/LC_MESSAGES/<foo>.mo
Comment 2 Kevin Kofler 2010-06-30 23:00:21 EDT
It doesn't do that anymore in F12. (Not sure when exactly this got fixed, but it sure is now.) Now it only fails if it finds no translations at all, including the ones from --with-qt.
Comment 3 Kevin Kofler 2010-07-01 01:04:10 EDT
I fixed this in Rawhide. But I think we should also fix it in releases.
Comment 4 Fedora Update System 2010-07-12 08:54:31 EDT
qt-4.6.3-8.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/qt-4.6.3-8.fc13
Comment 5 Fedora Update System 2010-07-12 08:56:34 EDT
qt-4.6.3-8.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/qt-4.6.3-8.fc12
Comment 6 Fedora Update System 2010-07-13 03:39:31 EDT
qt-4.6.3-8.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-07-13 03:43:06 EDT
qt-4.6.3-8.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.